package org.example.petshopdesktop.models.analytics;

public class SalesSummary {
    private final int totalTransactions;
    private final double totalRevenue;
    private final double avgTransactionValue;
    private final int totalItemsSold;

    public SalesSummary(int totalTransactions, double totalRevenue, double avgTransactionValue, int totalItemsSold) {
        this.totalTransactions = totalTransactions;
        this.totalRevenue = totalRevenue;
        this.avgTransactionValue = avgTransactionValue;
        this.totalItemsSold = totalItemsSold;
    }

    public int getTotalTransactions() {
        return totalTransactions;
    }

    public double getTotalRevenue() {
        return totalRevenue;
    }

    public double getAvgTransactionValue() {
        return avgTransactionValue;
    }

    public int getTotalItemsSold() {
        return totalItemsSold;
    }
}
